petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSectionSymSetType

Builds a PetscSection symmetry, for a particular implementation.

### Synopsis

    #include "petscsection.h"
    PetscErrorCode  PetscSectionSymSetType(PetscSectionSym sym, PetscSectionSymType method)

Collective on PetscSectionSym

### Input Parameters

| sym | - The section symmetry object
| method | - The name of the section symmetry type

### See Also

PetscSectionSymGetType(), PetscSectionSymCreate()

### Level

developer

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages